fix compatibility with latest version of Jekyll
[web.git] / ralf / _plugins / readmes.rb
index 7767be7..b5c7ea6 100644 (file)
@@ -10,7 +10,7 @@ module Jekyll
       self.process(@name)
       self.data ||= {}
       
-      content = File.read(src, self.merged_file_read_opts({})).each_line.to_a
+      content = File.read(src, Utils.merged_file_read_opts(site, {})).each_line.to_a
 
       self.data['layout'] = 'page'
       self.data['title'] = content[0].match(/^#* ?(.*)\n$/)[1]